flatpak-builder-1.0.3-lp151.1.1.x86_64.rpm


Advertisement

Description

flatpak-builder - Tool to build flatpaks from source

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename flatpak-builder-1.0.3-lp151.1.1.x86_64.rpm
Package name flatpak-builder
Package version 1.0.3
Package release lp151.1.1
Package architecture x86_64
Package type rpm
Category Development/Tools/Building
Homepage http://flatpak.org/
License LGPL-2.1-or-later
Maintainer -
Download size 170.44 KB
Installed size 452.67 KB
Tool to build flatpaks from source.
See https://wiki.gnome.org/Projects/SandboxedApps for more information.

Alternatives

Package Version Architecture Repository
flatpak-builder - - -

Requires

Name Value
/usr/bin/bzip2 -
/usr/bin/eu-strip -
/usr/bin/git -
/usr/bin/patch -
/usr/bin/strip -
/usr/bin/tar -
/usr/bin/unzip -
libc.so.6(GLIBC_2.14)(64bit) -
libcurl.so.4()(64bit) -
libelf.so.1()(64bit) -
libelf.so.1(ELFUTILS_1.0)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libjson-glib-1.0.so.0()(64bit) -
libostree-1.so.1()(64bit) -
libostree-1.so.1(LIBOSTREE_2016.3)(64bit) -
libostree-1.so.1(LIBOSTREE_2016.8)(64bit) -
libostree-1.so.1(LIBOSTREE_2018.6)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libsoup-2.4.so.1()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libyaml-0.so.2()(64bit) -

Provides

Name Value
flatpak-builder = 1.0.3-lp151.1.1
flatpak-builder(x86-64) = 1.0.3-lp151.1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package flatpak-builder-1.0.3-lp151.1.1.x86_64.rpm
Source Package flatpak-builder-1.0.3-lp151.1.1.src.rpm

Install Howto

Install flatpak-builder rpm package:

# zypper install flatpak-builder

Files

Path
/usr/bin/flatpak-builder
/usr/share/doc/flatpak-builder/docbook.css
/usr/share/doc/flatpak-builder/flatpak-builder-docs.html
/usr/share/doc/packages/flatpak-builder/NEWS
/usr/share/doc/packages/flatpak-builder/README.md
/usr/share/licenses/flatpak-builder/COPYING
/usr/share/man/man1/flatpak-builder.1.gz
/usr/share/man/man5/flatpak-manifest.5.gz

Changelog

2019-02-13 - Thomas Bechtold <tbechtold@suse.com>
- Switch from Requires to Recommends for bzr. bzr only works for
python2 and on a python3 only system, bzr is not available
(bsc#1082696)
2019-01-28 - bjorn.lie@gmail.com
- Update to version 1.0.3:
+ Compress changes in cache, fixing the build of large
applications like libreoffice in some cases.
+ Add new default-branch manifest option to allow overridable
branch name.
- Changes from version 1.0.2:
+ Print a warning when a YAML document has a float-like string
value.
+ Handle .txz archive suffixes.
+ Set SOURCE_DATE_EPOCH to the mtime of the manifest in the
build.
+ Update python post-processor to handle python 3.7 pyc files.
+ Allow unsetting env vars in the build options by setting them
to null.
+ Documentation improvements.
2018-12-19 - bjorn.lie@gmail.com
- Update to version 1.0.1:
+ Run appstream-util mirror-screenshots in the sandbox, rather
than on the host, as the host might not have a new enough
appstream-glib.
+ Fix build cache when a module has uncommon characters in the
name.
2018-08-27 - bjorn.lie@gmail.com
- Update to version 1.0.0:
+ Respect no-parallel-make with ninja.
+ Fixed regression in data: uris.
+ Warn about deprecated cmake property.
+ Make X-Flatpak-RenamedFrom a list.
+ Fix handling of mirror uris with no terminating slash.
+ Take arch into account for --skip-if-unchanged.
+ Fix --run when run inside a flatpak sandbox.
+ Ensure GIT commiter env var is set when applying git patches.
+ Keep x-* properties in the manifest when creating
manifest.json.
+ New property paths in patch source to apply multiple patches.
2018-08-13 - bjorn.lie@gmail.com
- Update to version 0.99.3:
+ Add X-Flatpak-RenamedFrom key to renamed desktop files.
+ Set FLATPAK_BUILDER_BUILDDIR when building module.
+ Handle large downloads better.
+ Make p2p code non-optional.
- Changes from version 0.99.2:
+ Fix --install not working due to asking for confirmation.
+ Fix builds with latest libsoup.
+ New option git-init for archives.
+ New option use-git-am for patches.
- Changes from version 0.99.1:
+ New libdir build option.
+ Support loading default options from sdk.
+ Add support for overriding c/cpp/ld/etc flags in a module.
+ Now uses libcurl to download things instead of soup, which
means we now support ftp urls.
+ Don't prune build caches when building with
- -{export,finish}-only.
+ rename-desktop-file now handles launchables in the appdata.
+ Archive sources support dest-filename.
+ Archive and file sources now support mirror-urls to list extra
urls in case of network problems.
- Add pkgconfig(libcurl) BuildRequires: New dependency.
2018-07-01 - tbechtold@suse.com
- Add "BuildRequires pkgconfig(yaml-0.1)" in flatpak-builder.spec
to enable yaml manifest file support. This is needed to build
flatpaks when flatpak manifest files are written in yaml (instead
of json).

See Also

Package Description
flatpak-devel-1.2.3-lp151.2.1.x86_64.rpm Development files for the flatpak library
flatpak-zsh-completion-1.2.3-lp151.2.1.x86_64.rpm Zsh tab-completion for flatpak
fldigi-4.0.16-lp151.2.4.x86_64.rpm Digital modem program (hamradio)
fldigi-lang-4.0.16-lp151.2.4.noarch.rpm Translations for package fldigi
flex-2.6.4-lp151.3.67.x86_64.rpm Fast Lexical Analyzer Generator
flexdock-1.2.4-lp151.2.1.noarch.rpm Swing windowing and docking framework
flickcurl-1.26-lp151.2.3.x86_64.rpm Command-Line Tools for the Flickr Web Service
flickcurl-doc-1.26-lp151.2.3.x86_64.rpm Documentation for flickcurl, a Flickr Web Service C library
flickrnet-3.5-lp151.2.55.noarch.rpm Flickr
flickrnet-devel-3.5-lp151.2.55.noarch.rpm Development files for Flickr.Net
flim-xemacs-1.14.7-lp151.251.51.noarch.rpm Lisp Library for Basic Features Concerning Internet Messages
flint-devel-3.0~5831-lp151.2.3.x86_64.rpm Development files for flint
florence-0.6.3-lp151.2.3.x86_64.rpm Extensible scalable on-screen virtual keyboard
florence-devel-0.6.3-lp151.2.3.x86_64.rpm Development files for florence
florence-lang-0.6.3-lp151.2.3.noarch.rpm Translations for package florence
Advertisement
Advertisement